#!/usr/bin/python -u

#import libxml2
import sys
import os
import errno
import getopt
import stat

import DataTransferConstants

def main():
	opts, args = getopt.getopt(sys.argv[1:], "", [])

	databaseDirectory = None

	if len(args) == 1:
		databaseDirectory = args[0]
	#databaseDirectory = DataTransferConstants.getDatabaseDirectory(databaseDirectory)
	#print databaseDirectory	
	if databaseDirectory == None:
		print "Database directory not specified on the command line"
		print
		print "Usage: " + sys.argv[0] + " directory"
		print
		print "Creates a DFBIdb database directory with skeleton metadata files"
		quit()

	processOwner = os.getuid()
	
	(head, tail) = os.path.split(databaseDirectory)
	if not os.path.isdir(head) and len(head) > 0:
		print "the root directory that would have contained the database does not exist: " + head
	else:
		try:
			os.mkdir(databaseDirectory)
		except Exception, e:
		    code, st = e
		    if code != errno.EEXIST:
				st = "Error creating directory '%s': %s" % (os.path.join(databaseDirectory, projectName), str(e))
				print st
				print "check that the process owner has write access to the database directory"
				sys.exit(1)
		os.chmod(databaseDirectory, stat.S_IRUSR | stat.S_IWUSR | stat.S_IXUSR | stat.S_IRGRP | stat.S_IWGRP | stat.S_IXGRP)

		metaDataFiles = ['userfields.txt']
		for curFile in metaDataFiles:
			emptyFile = file(os.path.join(databaseDirectory, curFile), 'w')
			emptyFile.close()
			os.chmod(os.path.join(databaseDirectory, curFile), stat.S_IRUSR | stat.S_IWUSR | stat.S_IRGRP | stat.S_IWGRP)
	#if not os.path.isdir(head):

if __name__ == "__main__":
    main()

