#!/usr/bin/python

import sys
import getopt

import DataTransferConstants
import DataTransferACL

import grp

if __name__ == '__main__':
	opts, args = getopt.getopt(sys.argv[1:], "", ['database-directory='])
	databaseDirectory = None

	for o, a in opts:
		if o == '--database-directory':
			databaseDirectory = a
	#for o, a in opts:

	databaseDirectory = DataTransferConstants.getDatabaseDirectory(databaseDirectory)
	#projectList = DataTransferConstants.projectList(databaseDirectory)
	#print grp.getgrall()
	ACLs = DataTransferACL.getDatabaseACLs(databaseDirectory = databaseDirectory)
	print DataTransferACL.databaseACLsToString(databaseDirectory = databaseDirectory, ACLs = ACLs, sortBy = 'permissions')
